[env:rp2040]
framework = arduino
platform = https://github.com/maxgerhardt/platform-raspberrypi.git#60d6ae8
platform_packages = framework-arduinopico @ https://github.com/earlephilhower/arduino-pico/releases/download/3.9.3/rp2040-3.9.3.zip
board_build.core = earlephilhower

board = waveshare_rp2040_zero
lib_ldf_mode = deep+

build_flags =
  -D MASK_VERSION=0x07B0
  -DKNX_FLASH_SIZE=4096
  -DKNX_LED=10
  -D PIO_FRAMEWORK_ARDUINO_ENABLE_RTTI
  -Wno-unknown-pragmas

lib_deps = 
	thelsing/knx @ ^1.5.0
